import { request, uploads } from '@/utils/request';

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: '/system/user/profile/updatePwd',
    method: 'put',
    params: data
  })
}

// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: '/system/user/profile',
    method: 'get'
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/user/profile',
    method: 'put',
    data: data
  })
}

// 用户头像上传
export function uploadAvatar(data) {
  return uploads({
    url: "/service-file/upload",
    name: data.name,
    filePath: data.filePath,
  });
}

// 注册用户个人信息
export function appAdd(data) {
  return request({
    url: '/system/user/appAdd',
    method: 'POST',
    data: data
  })
}

// 注销用户个人信息
export function appDel(data) {
  return request({
    url: `/system/user/${data.id}`,
    method: 'DELETE',
  })
}

// 树结构查询部门--用户列表
export function deptUserTreeSelect(query) {
  return request({
    url: '/system/dept/deptUserTreeSelect',
    method: 'GET',
    params: query
  })
}

// 用户列表
export function UserList(query) {
  return request({
    url: '/system/user/list',
    method: 'GET',
    params: query
  })
}

// 用户列表（无数据权限）
export function dUserList(query) {
  return request({
    url: '/system/user/dUserList',
    method: 'GET',
    params: query
  })
}

// 微信用户验证
export function getPageAuthorization(data) {
  return request({
    url: '/service-iot/weChat/getPageAuthorization',
    method: 'GET',
    data: data,
  })
}